package solver

import (
	"testing"
)

// TestValidateCombination tests the validateCombination function.
func TestValidateCombination(t *testing.T) {
	// Create a new solver
	solver := Solver{}

	// Test the validateCombination function
	if !solver.validateCombination("769154832", "154832769", "832769154", "671945328", "945328671", "328671945", "597416283", "416283597", "283597416") {
		t.Error("validateCombination failed")
	}
}
